@font-face {
  font-family: 'Buda';
  src: url("../../fonts/Buda-Light.ttf") format("truetype");
}

* {
  margin: 0;
  padding: 0;
  font-family: "Buda";
  line-height: 1.5;
  font-size: 18px;
}

@media screen and (max-width: 900px) {
  * {
    font-size: 14px;
  }
}

::-webkit-scrollbar {
  display: none;
}

:root {
  --black-color: black;
  --blue-color: #094b77;
  --red-color: #770909;
  --turquoise-color: #088586;
  --green-color: #b2bf16;
  --blue-softcolor: #094b77;
  --red-softcolor: #770909;
  --turquoise-softcolor: #088586;
  --green-softcolor: #b2bf16;
  --white-color: white;
  --white-softcolor: #ffffffd4;
  --active-color: var(--blue-color);
  --active-soft: var(--blue-softcolor);
  --innactive-color: var(--turquoise-color);
  --innactive-soft: var(--turquoise-softcolor);
  --disconnect-color: var(--red-color);
  --disconnect-soft: var(--red-softcolor);
}

.bouton_inscription {
  font-size: 15px;
  font-weight: normal;
  text-decoration: none;
  border: 1px solid var(--active-color);
  padding: 2px 15px;
  text-align: center;
  color: #fff;
  border-radius: 3px;
  background-color: var(--active-color);
  margin: 5px 0;
}

.bouton_inscription:hover {
  text-decoration: none;
  background-color: var(--white-color);
  color: var(--active-color);
}

.bouton_inscription:active {
  box-shadow: inset -2px -2px 3px rgba(255, 255, 255, 0.6), inset 2px 2px 3px rgba(0, 0, 0, 0.6);
}

.body {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: center;
  background-color: #cfcfcf;
  background-image: url("../images/Fond.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom;
  overflow: hidden;
}

.header {
  width: 100%;
  max-width: 960px;
  height: 10svh;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.header_image {
  height: 100%;
  margin: 2px;
  border-radius: 20px;
  border: solid 2px var(--white-color);
}

.header_nav {
  display: flex;
  justify-content: flex-end;
}

.header_bouton_connecter {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white-color);
  background-color: var(--active-color);
  border: 1px solid var(--active-color);
  border-bottom: none;
  border-radius: 0px 0px 10px 10px;
  padding: 3px;
  width: calc(100% / 3);
  height: 50px;
  text-decoration: none;
}

.header_bouton_connecter:hover {
  background-color: var(--active-soft);
  color: var(--black-color);
  font-weight: bold;
  text-decoration: none;
}

.header_bouton_deconnecter {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white-color);
  background-color: var(--disconnect-color);
  border: 1px solid var(--disconnect-color);
  border-bottom: none;
  border-radius: 0px 0px 10px 10px;
  padding: 3px;
  width: calc(100% / 3);
  /* height: 50px; */
  text-decoration: none;
}

.header_bouton_deconnecter:hover {
  background-color: var(--disconnect-soft);
  color: var(--black-color);
  font-weight: bold;
  text-decoration: none;
}

.corps {
  width: calc(100svw - 10px);
  max-width: 960px;
  max-height: calc(90svh - 10px);
  margin: 5px;
  background-color: transparent;
}

.corps_nav {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: nowrap;
  background-color: transparent;
  padding: 0 10px;
}

.corps_nav_bouton {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  line-height: 0.75;
  color: var(--white-color);
  background-color: var(--innactive-color);
  border: 1px solid var(--innactive-color);
  border-bottom: none;
  border-radius: 10px 10px 0px 0px;
  padding: 3px;
  margin: 1px;
  width: 100%;
  height: 50px;
  text-decoration: none;
}

.corps_nav_bouton:hover {
  background-color: var(--innactive-soft);
  color: var(--black-color);
  font-weight: bold;
  text-decoration: none;
}

.corps_nav_bouton_message {
  background-color: var(--red-color);
  border: 1px solid var(--red-color);
}

.corps_nav_bouton_message:hover {
  background-color: transparent;
  color: var(--black-color);
  font-weight: bold;
  text-decoration: none;
}

.corps_nav_bouton_select {
  background-color: var(--active-color);
  border: 1px solid var(--active-color);
  border-bottom: none;
}

.corps_nav_bouton_select:hover {
  background-color: var(--active-soft);
  text-decoration: none;
}

.corps_zone {
  width: 100%;
  height: calc(100% - 50px);
  padding: 10px;
  background-color: var(--white-softcolor);
  overflow-y: scroll;
  border-radius: 10px;
}

.corps_zone_errors {
  width: calc(100% - 10px);
  display: flex;
  justify-content: center;
  padding: 5px 0;
}

.corps_zone_success {
  width: calc(100% - 10px);
  display: flex;
  justify-content: center;
  padding: 5px 0;
}

.logement_image {
  width: 100%;
  border-radius: 10px;
}

.logement_titre {
  width: 100%;
  text-align: center;
  margin: 20px 0 0 0;
  padding: 0;
  color: var(--green-color);
}

.logement_texte {
  width: 100%;
  text-align: center;
  margin: 0;
  padding: 0;
  color: red;
  font-weight: bold;
}

.documents {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: space-between;
  border-bottom: solid #b9b9b9 1px;
}

.documents_date {
  width: 105px;
  margin-right: 10px;
}

.documents_titre {
  width: calc(100% - 160px);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.documents_pdf {
  width: 45px;
  text-align: right;
}

.documents_pdf svg {
  height: 25px;
  margin: 5px;
  fill: var(--innactive-color);
}

.bandeau {
  overflow: hidden;
  white-space: nowrap;
  width: calc(100% - 20px);
  margin: 0 10px;
  z-index: 100;
}

.bandeau-track {
  display: inline-block;
  padding-left: 100%;
  animation: defilement 15s linear infinite;
}

.bandeau-item {
  display: inline-block;
  padding: 0 50px;
  background: radial-gradient(var(--disconnect-soft) 5%, transparent);
  color: white;
  font-size: 1.8rem;
}

@keyframes defilement {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}
